/**
 * CII-specific types and constants
 */

// CII namespaces
export const CII_NAMESPACES = {
  RSM: 'urn:un:unece:uncefact:data:standard:CrossIndustryInvoice:100',
  RAM: 'urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:100',
  UDT: 'urn:un:unece:uncefact:data:standard:UnqualifiedDataType:100'
};

// CII profiles
export enum CIIProfile {
  BASIC = 'BASIC',
  COMFORT = 'COMFORT',
  EXTENDED = 'EXTENDED',
  EN16931 = 'EN16931',
  MINIMUM = 'MINIMUM'
}

// CII profile IDs for different formats
export const CII_PROFILE_IDS = {
  FACTURX_MINIMUM: 'urn:factur-x.eu:1p0:minimum',
  FACTURX_BASIC: 'urn:factur-x.eu:1p0:basicwl',
  FACTURX_EN16931: 'urn:cen.eu:en16931:2017',
  ZUGFERD_BASIC: 'urn:zugferd:basic',
  ZUGFERD_COMFORT: 'urn:zugferd:comfort',
  ZUGFERD_EXTENDED: 'urn:zugferd:extended'
};
