/**
 * UBL-specific types and constants
 */

// UBL namespaces
export const UBL_NAMESPACES = {
  CBC: 'urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2',
  CAC: 'urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2',
  UBL: 'urn:oasis:names:specification:ubl:schema:xsd:Invoice-2'
};

// UBL document types
export enum UBLDocumentType {
  INVOICE = 'Invoice',
  CREDIT_NOTE = 'CreditNote'
}

// UBL customization IDs for different formats
export const UBL_CUSTOMIZATION_IDS = {
  XRECHNUNG: 'urn:cen.eu:en16931:2017#compliant#urn:xoev-de:kosit:standard:xrechnung_2.0',
  PEPPOL_BIS: 'urn:cen.eu:en16931:2017#compliant#urn:fdc:peppol.eu:2017:poacc:billing:3.0'
};
